Illustrator och macOS Catalina (10.15)

Illustrator och macOS Catalina (10.15)

Vilka versioner av Illustrator är kompatibla med macOS Catalina?

Illustrator 24.0 och Illustrator 23.1 är kompatibla med macOS 10.15 (Catalina) men har några kända kompatibilitetsproblem. Du kanske vill behålla din nuvarande version av macOS tills dessa problem har lösts.

Adobe rekommenderar starkt att kunder gör ett eget test på en partition som inte är i drift för att säkerställa att det nya operativsystemet fungerar med aktuell maskinvara och drivrutiner (vid utskrift och så vidare). 

Om du upptäcker problem som inte har dokumenterats här, får du gärna rapportera dem på vår webbplats för feedback.

Är äldre eller eviga versioner av Illustrator kompatibla med macOS Catalina?

Nej, äldre/eviga versioner av Illustrator har inte utformats eller testats för att fungera på macOS 10.15 (Catalina). De har inte på något sätt stöd för användning på macOS Catalina.

Adobe rekommenderar inte att kunder som använder gamla versioner av Illustrator uppgraderar till macOS Catalina.

Illustrator version 22.0. och tidigare visas inte i listan över äldre versioner i Creative Cloud-datorprogram.

Äldre versioner använder 32-bitars licensieringskomponenter och installationsprogram. Därför kan de inte installeras och aktiveras efter uppgradering till macOS Catalina. Uppgradering till macOS Catalina när en äldre version redan är installerad på datorn kan innebära att applikationen fungerar i viss mån; du kommer emellertid inte att kunna installera om eller aktivera applikationen efter macOS-uppgraderingen.

Innan du uppgraderar till macOS Catalina kan du avinstallera de äldre versionerna eftersom avinstallationsprogrammet inte fungerar efter uppgraderingen. Om du redan har uppgraderat till macOS Catalina kan du använda rensningsverktyget för Creative Cloud för att avinstallera äldre versioner.

Kända kompatibilitetsproblem

Här är några kända kompatibilitetsproblem när du använder Illustrator med Catalina:

ExtendScript Toolkit körs inte

ExtendScript Toolkit, som är en 32-bitars applikation, fungerar inte längre på macOS 10.15. ExtendScript Toolkit har ersatts av ExtendScript Debugger 1.1.0.

Ingen rendering av paneler och dokument

När du använder Illustrator med macOS Catalina kan du få problem med att applikationen slutar rendera paneler och dokument. Att starta om Illustrator kan lösa problemet.

Behörighet att få åtkomst till kalender, kontakter, kamera eller plats

Om Illustrator ber om behörighet att spela in eller fota skärmen eller komma åt kalender, kontakter, kamera eller plats kan du ignorera meddelandet. Det är Apples nya sekretesskydd som gäller för kataloger som innehåller dina kalendrar, kontakter, foton, e-post och meddelanden. Se denna artikel för mer information. 

Obs! Adobe-program behöver inte ha åtkomst till kalender, kontakter eller plats.

 Adobe

Få hjälp snabbare och enklare

Ny användare?